<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.community.huiju.dao.TaVersionMapper" >
  <resultMap id="BaseResultMap" type="com.community.huiju.model.TaVersion" >
    <id column="id" property="id" jdbcType="INTEGER" />
    <result column="client_version" property="clientVersion" jdbcType="VARCHAR" />
    <result column="service_version" property="serviceVersion" jdbcType="VARCHAR" />
    <result column="type" property="type" jdbcType="VARCHAR" />
    <result column="update_address" property="updateAddress" jdbcType="VARCHAR" />
  </resultMap>

  <select id="getVersion" resultMap="BaseResultMap">
    select id,client_version,service_version,update_address FROM ta_version  where `type` = #{type,jdbcType=VARCHAR}
  </select>
</mapper>